%define oname SiriKali

Name:           sirikali
Version:        1.5.1
Release:        %mkrel 1
Summary:        SiriKali is a Qt/C++ GUI front end to encfs,cryfs,gocryptfs,ecryptfs and securefs.
License:        GPL-2.0+
Group:          Security
Source:         %{oname}-%{version}.tar.xz
URL:            http://mhogomchungu.github.io/sirikali

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}secret-devel

BuildRequires: 	qtbase5-common-devel
BuildRequires: 	%{_lib}qt5widgets-devel
BuildRequires: 	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5base5-devel


%description
SiriKali is a Qt/C++ GUI front end to encfs,cryfs,gocryptfs,ecryptfs and securefs.

%prep
%setup -qn %{oname}-%{version}

%build
%cmake -DQT5=true -DNOKDESUPPORT=true
%make_build

%install
%make_install -C build

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
%{_bindir}/sirikali
%{_bindir}/sirikali.pkexec
%{_datadir}/applications/io.github.mhogomchungu.sirikali.desktop
%{_mandir}/man1/%{name}.*
%dir %{_datadir}/sirikali/translations
%dir %{_datadir}/sirikali
%defattr(0644,root,root)
%{_datadir}/icons/hicolor/48x48/apps/sirikali.png
%{_datadir}/icons/hicolor/256x256/apps/sirikali.png
%{_datadir}/pixmaps/sirikali.png
%{_datadir}/icons/sirikali.png
%{_datadir}/sirikali/translations/*.qm
%{_datadir}/polkit-1/actions/org.sirikali.pkexec.policy
%{_datadir}/metainfo/sirikali.appdata.xml

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Aug 29 2023 tex - 1.5.1-1pclos2023
- new version

* Mon Aug 22 2022 tex - 1.5.0-1pclos2022
- new version

* Thu Oct 22 2020 tex - 1.4.7-1pclos2020
- new version

* Tue Aug 04 2020 tex - 1.4.6-1pclos2020
- new version

* Tue Aug 04 2020 tex - 1.4.5-1pclos2020
- new version

* Sun Apr 05 2020 tex - 1.4.3-1pclos2020
- new version

* Thu Dec 19 2019 tex - 1.4.2-1pclos2020
- new version

* Wed Oct 09 2019 tex - 1.4.0-1pclos2019
- new version

* Thu Aug 01 2019 pp <pp> 1.3.9-1pclos2019
- update

* Sat Feb 23 2019 tex - 1.3.7-1pclos2019
- new version

* Tue Oct 09 2018 pp <pp> 1.3.6-1pclos2018
- update

* Thu Mar 29 2018 ghostbunny <ghostbunny at gmx dot de> 1.3.3-1pclos2018
- 1.3.3

* Sat Jan 13 2018 pp <pp> 1.3.2-1pclos2018
- update

* Mon Oct 16 2017 Agent Smith <ruidobranco@yahoo.com.br> 1.3.1-1pclos2017
- update

* Sun Jul 09 2017 pp <pp> 1.2.9-1pclos2017
- update

* Wed Apr 19 2017 Agent Smith <ruidobranco@yahoo.com.br> 1.2.6-1pclos2017
- Created package sirikali
